------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(68, 68)
CppScriptMgr:SetViewScale(200)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

-- CppScriptMgr:WaitMilSec(1500);
-- CppScriptMgr:SetViewScale(300)
CppScriptMgr:AddEffect("B_Fire", 74, 91)
CppScriptMgr:AddEffect("B_Fire", 93, 75)
CppScriptMgr:AddEffect("B_Fire", 91, 81)

local player2   = CppScriptMgr:AddSimplePlayer(10670, 94,75, "ArcherCorpse")
local player3   = CppScriptMgr:AddSimplePlayer(10670, 89,72, "ArcherCorpse")
local player4   = CppScriptMgr:AddSimplePlayer(10670, 101,80, "ArcherCorpse")
local player5   = CppScriptMgr:AddSimplePlayer(10670, 86,79, "ArcherCorpse")
local player6   = CppScriptMgr:AddSimplePlayer(10670, 90,80, "ArcherCorpse")
-- local player7   = CppScriptMgr:AddSimplePlayer(10670, 92,59, "ArcherCorpse")
-- local player8   = CppScriptMgr:AddSimplePlayer(10670, 101,86, "ArcherCorpse")
-- local player9   = CppScriptMgr:AddSimplePlayer(10670, 97,91, "ArcherCorpse")

local playerMonster1 = CppScriptMgr:AddPlayer(149,68 ,68, "Szeto")
playerMonster1:SetZoomPercent(150)
playerMonster1:SetDir(6)

local hero = CppScriptMgr:QueryHero()
hero:SetPos(72,67)
hero:SetRWeapon(500169,0, 1)
hero:SetDir(2)
hero:SetZoomPercent(120)
playerMonster1:SetAction(401)
hero:SetAction(401)

local player14  = CppScriptMgr:AddSimplePlayer(1063561, 80,67, "CommanderYee")
player14:SetZoomPercent(120)
-- player14:SetAction(261)
player14:Say("Cough!", 2000)
CppScriptMgr:AddEffect("Blood", 80,67)
CppScriptMgr:WaitMilSec(1000)

-- player14:SetAction(261)
player14:Say("Evil is wily! Be wary!", 2000)
-- CppScriptMgr:WaitMilSec(1000)
-- player14:SetAction(261)

hero:SetAction(401)
hero:Say("Take this!", 2000)
-- player14:SetAction(261)
playerMonster1:SetAction(320)
CppScriptMgr:WaitMilSec(2000)
-- player14:SetAction(261)
hero:SetAction(401)

CppScriptMgr:AddEffect("Nnqianjun", 72, 67)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Attack35r", 68, 68)
playerMonster1:SetAction(320)

-- player14:SetAction(261)
CppScriptMgr:NpcCallOut("    Gongsun will kill you all!\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc4241", 150, 430, "Szeto", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1500)
playerMonster1:SetPos(1000, 1000)
-- player14:SetAction(261)

CppScriptMgr:WaitMilSec(500)
local playerMonster2 = CppScriptMgr:AddPlayer(167,72 ,84, "EvilDogface")
local playerMonster3 = CppScriptMgr:AddPlayer(167,76 ,84, "EvilDogface")
local playerMonster4 = CppScriptMgr:AddPlayer(167,81 ,83, "EvilDogface")
local playerMonster5 = CppScriptMgr:AddPlayer(167,83 ,77, "EvilDogface")
local playerMonster6 = CppScriptMgr:AddPlayer(167,83 ,72, "EvilDogface")

playerMonster2:SetDir(4)
playerMonster3:SetDir(4)
playerMonster4:SetDir(3)
playerMonster5:SetDir(2)
playerMonster6:SetDir(2)
-- player14:SetAction(261)

CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("TSM_LXZF_sf", 70, 74)
CppScriptMgr:WaitMilSec(500)
local MoLian   = CppScriptMgr:AddSimplePlayer(22277, 70,74, "MoLian")

player14:SetZoomPercent(120)

-- player14:SetAction(261)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("SuperXp_coat02", 72 ,84)
CppScriptMgr:AddEffect("SuperXp_coat02", 76 ,84)
CppScriptMgr:AddEffect("SuperXp_coat02", 81 ,83)
CppScriptMgr:AddEffect("SuperXp_coat02", 83 ,77)
CppScriptMgr:AddEffect("SuperXp_coat02", 83 ,72)


-- player14:SetAction(261)


CppScriptMgr:WaitMilSec(500)
-- player14:SetAction(261)
CppScriptMgr:AddEffect("SuperXp_coat02", 72 ,84)
CppScriptMgr:AddEffect("SuperXp_coat02", 76 ,84)
CppScriptMgr:AddEffect("SuperXp_coat02", 81 ,83)
CppScriptMgr:AddEffect("SuperXp_coat02", 83 ,77)
CppScriptMgr:AddEffect("SuperXp_coat02", 83 ,72)
CppScriptMgr:WaitMilSec(500)

-- player14:SetAction(261)
playerMonster2:SetAction(330)
playerMonster3:SetAction(330)
playerMonster4:SetAction(330)
playerMonster5:SetAction(330)
playerMonster6:SetAction(330)
CppScriptMgr:WaitMilSec(1200)
playerMonster6:SetPos(1000, 1000)
playerMonster4:SetPos(1000, 1000)
playerMonster5:SetPos(1000, 1000)
playerMonster3:SetPos(1000, 1000)
playerMonster2:SetPos(1000, 1000)

player14:Say("Thank you!", 2000)
-- CppScriptMgr:NpcCallOut("    少侠好身手！多谢相助！\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "CommanderYee", 250, 655)
CppScriptMgr:WaitMilSec(1000)

MoLian:Say("Let`s leave here first!", 2000)
-- CppScriptMgr:NpcCallOut("    不必客气，魔教恐怕还有后手，我先带你们离开此地！\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "MoLian", 250, 655)
CppScriptMgr:WaitMilSec(1000)


CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1500)

